Index: reactapp/src/App.js
===================================================================
--- reactapp/src/App.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/App.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -14,5 +14,4 @@
 import NotFound from "./Pages/NotFound";
 import Topic from "./Pages/Topic";
-import LoadingSpinner from "./Components/Styled/LoadingSpinner.style";
 
 export default function App() {
@@ -43,5 +42,5 @@
       return children;
     } else {
-      return <LoadingSpinner/>;
+      return <div>се вчитува cookie...</div>;
     }
   };
Index: reactapp/src/Components/OpinionTree.js
===================================================================
--- reactapp/src/Components/OpinionTree.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Components/OpinionTree.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -42,5 +42,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.0.29:8080/secure/currentUser`;
+    const url = `http://192.168.0.19:8080/secure/currentUser`;
 
     const fetchUser = async () => {
@@ -68,5 +68,5 @@
       ) {
         const response = await axios(
-          `http://192.168.0.29:8080/secure/upvoteOpinion/${post.postId}`,
+          `http://192.168.0.19:8080/secure/upvoteOpinion/${post.postId}`,
           {
             method: "get",
@@ -74,5 +74,5 @@
           }
         );
-        window.location.reload();
+        window.location.reload(false);
       } else {
         return;
@@ -91,5 +91,5 @@
       ) {
         const response = await axios(
-          `http://192.168.0.29:8080/secure/downvoteOpinion/${post.postId}`,
+          `http://192.168.0.19:8080/secure/downvoteOpinion/${post.postId}`,
           {
             method: "get",
@@ -98,5 +98,5 @@
         );
 
-        window.location.reload();
+        window.location.reload(false);
       } else {
         return;
@@ -131,5 +131,5 @@
     if (!replyContent.length < 1) {
       const response = await axios(
-        `http://192.168.0.29:8080/secure/professor/${professor.professorId}/replyToOpinion/${postId}`,
+        `http://192.168.0.19:8080/secure/professor/${professor.professorId}/replyToOpinion/${postId}`,
         {
           method: "post",
@@ -141,5 +141,5 @@
       );
       setErrorMessage("");
-      window.location.reload();
+      window.location.reload(false);
     } else {
       setErrorMessage("Полето за содржина не смее да биде празно");
@@ -161,9 +161,9 @@
               {child.content}
             </p>
-            {new Date(child.timePosted).setMilliseconds(0) === new Date(child.timeLastEdited).setMilliseconds(0) ? (
+            {child.timePosted === child.timeLastEdited ? (
               <OpinionCardContentTime>
                 {dateConverter(
                   new Date(child.timePosted).toString().slice(4, -43)
-                )} <span style={{fontStyle:"normal",color:"blue"}}>#{child.postId}</span>
+                )}
               </OpinionCardContentTime>
             ) : (
@@ -171,5 +171,5 @@
                 {dateConverter(
                   new Date(child.timeLastEdited).toString().slice(4, -43)
-                )}{" "} <span style={{fontStyle:"normal",color:"blue"}}>#{child.postId}</span>{" "}
+                )}{" "}
                 (едитирано од модератор)
               </OpinionCardContentTime>
@@ -260,9 +260,9 @@
                     {opinion.content}
                   </p>
-                  {new Date(opinion.timePosted).setMilliseconds(0) === new Date(opinion.timeLastEdited).setMilliseconds(0) ? (
+                  {opinion.timePosted === opinion.timeLastEdited ? (
                     <OpinionCardContentTime>
                       {dateConverter(
                         new Date(opinion.timePosted).toString().slice(4, -43)
-                      )} <span style={{fontStyle:"normal",color:"blue"}}>#{opinion.postId}</span>
+                      )}
                     </OpinionCardContentTime>
                   ) : (
@@ -272,5 +272,5 @@
                           .toString()
                           .slice(4, -43)
-                      )}{" "} <span style={{fontStyle:"normal",color:"blue"}}>#{opinion.postId}</span>{" "}
+                      )}{" "}
                       (едитирано од модератор)
                     </OpinionCardContentTime>
Index: reactapp/src/Components/Search.js
===================================================================
--- reactapp/src/Components/Search.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Components/Search.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -15,5 +15,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.0.29:8080/public/professors/nameContains/${transliterate(
+    const url = `http://192.168.0.19:8080/public/professors/nameContains/${transliterate(
       query
     )}`;
Index: reactapp/src/Components/Styled/ProfessorCard.style.js
===================================================================
--- reactapp/src/Components/Styled/ProfessorCard.style.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Components/Styled/ProfessorCard.style.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -2,4 +2,5 @@
 
 export const ProfessorCard = styled.div`
+  background-color: cornsilk;
   width: auto;
   padding: 10px;
Index: reactapp/src/Components/UserHeader.js
===================================================================
--- reactapp/src/Components/UserHeader.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Components/UserHeader.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -3,5 +3,4 @@
 import axios from "../api/axios";
 import Logout from "./Logout";
-import LoadingSpinner from "./Styled/LoadingSpinner.style";
 
 function UserHeader({}) {
@@ -11,5 +10,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.0.29:8080/secure/currentUser`;
+    const url = `http://192.168.0.19:8080/secure/currentUser`;
 
     const fetchUser = async () => {
@@ -35,5 +34,5 @@
   ) : (
     <div style={{ float: "left", marginTop: 25, marginLeft: 60 }}>
-      <LoadingSpinner/>
+      се вчитува...
     </div>
   );
Index: reactapp/src/Pages/Faculty.js
===================================================================
--- reactapp/src/Pages/Faculty.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Pages/Faculty.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -16,5 +16,4 @@
 import SubjectsAccordion from "../Components/SubjectsAccordion";
 import { CurrentPageNav } from "../Components/Styled/Main.style";
-import LoadingSpinner from "../Components/Styled/LoadingSpinner.style";
 
 const Faculty = () => {
@@ -28,6 +27,6 @@
 
   useEffect(() => {
-    const urlProfessors = `http://192.168.0.29:8080/public/professors?facultyId=${params.facultyId}`;
-    const urlStudyProgrammes = `http://192.168.0.29:8080/public/study_programmes?facultyId=${params.facultyId}`;
+    const urlProfessors = `http://192.168.0.19:8080/public/professors?facultyId=${params.facultyId}`;
+    const urlStudyProgrammes = `http://192.168.0.19:8080/public/study_programmes?facultyId=${params.facultyId}`;
 
     const fetchDataProfessors = async () => {
@@ -225,5 +224,5 @@
   ) : !fetchError && !loadedProfessors ? (
     <div>
-      <LoadingSpinner style={{ marginTop: "140px" }}/>
+      <p style={{ marginTop: "140px" }}>се вчитува...</p>
       <Outlet />
     </div>
Index: reactapp/src/Pages/Login.js
===================================================================
--- reactapp/src/Pages/Login.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Pages/Login.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -17,5 +17,5 @@
 
   useEffect(() => {
-    if (!auth) userRef.current.focus();
+    userRef.current.focus();
   }, []);
 
Index: reactapp/src/Pages/Professor.js
===================================================================
--- reactapp/src/Pages/Professor.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Pages/Professor.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -24,5 +24,4 @@
 import axios from "../api/axios";
 import { CurrentPageNav } from "../Components/Styled/Main.style";
-import LoadingSpinner from "../Components/Styled/LoadingSpinner.style";
 
 function Professor() {
@@ -40,5 +39,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.0.29:8080/public/professor/${params.professorId}`;
+    const url = `http://192.168.0.19:8080/public/professor/${params.professorId}`;
 
     const fetchProfessor = async () => {
@@ -77,5 +76,5 @@
     if (!postContent.length < 1) {
       const response = await axios(
-        `http://192.168.0.29:8080/secure/professor/${params.professorId}/addOpinion`,
+        `http://192.168.0.19:8080/secure/professor/${params.professorId}/addOpinion`,
         {
           method: "post",
@@ -87,5 +86,5 @@
       );
       setErrorMessage("");
-      window.location.reload();
+      window.location.reload(false);
     } else {
       setErrorMessage("Полето за содржина не смее да биде празно");
@@ -112,5 +111,5 @@
         </CurrentPageNav>
         <ProfessorCard>
-          <ProfessorCardName>{professor.professorName} <span style={{opacity:"50%", fontSize:"16px"}}>#{professor.professorId}</span></ProfessorCardName>
+          <ProfessorCardName>{professor.professorName}</ProfessorCardName>
           <ProfessorCardSeparator />
           <div style={{ marginTop: "10px" }}>
@@ -180,5 +179,5 @@
     return (
       <div>
-        <LoadingSpinner style={{ marginTop: "140px" }}/>
+        <p style={{ marginTop: "140px" }}>се вчитува...</p>
         <Outlet />
       </div>
Index: reactapp/src/Pages/Subject.js
===================================================================
--- reactapp/src/Pages/Subject.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Pages/Subject.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -28,5 +28,4 @@
 } from "../Components/Styled/Modal.style";
 import axios from "../api/axios";
-import LoadingSpinner from "../Components/Styled/LoadingSpinner.style";
 
 const Subject = () => {
@@ -47,5 +46,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.0.29:8080/public/subject/${params.subjectId}`;
+    const url = `http://192.168.0.19:8080/public/subject/${params.subjectId}`;
 
     const fetchData = async () => {
@@ -84,5 +83,5 @@
     if (!topicTitle.length < 1 && !topicContent.length < 1) {
       const response = await axios(
-        `http://192.168.0.29:8080/secure/subject/${params.subjectId}/addThread`,
+        `http://192.168.0.19:8080/secure/subject/${params.subjectId}/addThread`,
         {
           method: "post",
@@ -95,5 +94,5 @@
       );
       setErrorMessage("");
-      window.location.reload();
+      window.location.reload(false);
     } else {
       setErrorMessage("Полињата за наслов и содржина не смеат да бидат празни");
@@ -128,5 +127,5 @@
       </CurrentPageNav>
       <ProfessorCard>
-        <ProfessorCardName>{subject.subjectName} <span style={{opacity:"50%", fontSize:"16px"}}>#{subject.subjectId}</span></ProfessorCardName>
+        <ProfessorCardName>{subject.subjectName}</ProfessorCardName>
         <ProfessorCardSeparator />
         <div style={{ marginTop: "10px" }}>
@@ -205,6 +204,5 @@
       <div key={subject.subjectId}>
         {topics.map((topic) => {
-          var numReplies = 0;
-          topic.children.map((c)=>numReplies += ++c.children.length); // ++c.children.length -> c + decata na c
+          var numReplies = topic.children.length;
           return (
             <EntityUl key={topic.postId}>
@@ -270,5 +268,5 @@
   ) : !fetchError ? (
     <div>
-      <LoadingSpinner style={{ marginTop: "140px" }}/>
+      <p style={{ marginTop: "140px" }}>се вчитува...</p>
       <Outlet />
     </div>
Index: reactapp/src/Pages/Topic.js
===================================================================
--- reactapp/src/Pages/Topic.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Pages/Topic.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -28,5 +28,4 @@
 } from "../Components/Styled/Modal.style";
 import axios from "../api/axios";
-import LoadingSpinner from "../Components/Styled/LoadingSpinner.style";
 
 const Topic = () => {
@@ -49,6 +48,6 @@
 
   useEffect(() => {
-    const url1 = `http://192.168.0.29:8080/public/thread/${params.topicId}`;
-    const url2 = `http://192.168.0.29:8080/secure/currentUser`;
+    const url1 = `http://192.168.0.19:8080/public/thread/${params.topicId}`;
+    const url2 = `http://192.168.0.19:8080/secure/currentUser`;
 
     const fetchTopic = async () => {
@@ -100,5 +99,5 @@
     if (!replyContent.length < 1) {
       const response = await axios(
-        `http://192.168.0.29:8080/secure/subject/${thread.targetSubject.subjectId}/replyToThread/${postId}`,
+        `http://192.168.0.19:8080/secure/subject/${thread.targetSubject.subjectId}/replyToThread/${postId}`,
         {
           method: "post",
@@ -110,5 +109,5 @@
       );
       setErrorMessage("");
-      window.location.reload();
+      window.location.reload(false);
     } else {
       setErrorMessage("Полето за содржина не смее да биде празно");
@@ -129,5 +128,5 @@
     if (!postContent.length < 1) {
       const response = await axios(
-        `http://192.168.0.29:8080/secure/subject/${thread.targetSubject.subjectId}/replyToThread/${params.topicId}`,
+        `http://192.168.0.19:8080/secure/subject/${thread.targetSubject.subjectId}/replyToThread/${params.topicId}`,
         {
           method: "post",
@@ -139,5 +138,5 @@
       );
       setErrorMessage("");
-      window.location.reload();
+      window.location.reload(false);
     } else {
       setErrorMessage("Полето за содржина не смее да биде празно");
@@ -161,5 +160,5 @@
       ) {
         const response = await axios(
-          `http://192.168.0.29:8080/secure/upvoteThread/${post.postId}`,
+          `http://192.168.0.19:8080/secure/upvoteThread/${post.postId}`,
           {
             method: "get",
@@ -167,5 +166,5 @@
           }
         );
-        window.location.reload();
+        window.location.reload(false);
       } else {
         return;
@@ -184,5 +183,5 @@
       ) {
         const response = await axios(
-          `http://192.168.0.29:8080/secure/downvoteThread/${post.postId}`,
+          `http://192.168.0.19:8080/secure/downvoteThread/${post.postId}`,
           {
             method: "get",
@@ -191,5 +190,5 @@
         );
 
-        window.location.reload();
+        window.location.reload(false);
       } else {
         return;
@@ -214,15 +213,15 @@
               {child.content}
             </p>
-            {new Date(child.timePosted).setMilliseconds(0) === new Date(child.timeLastEdited).setMilliseconds(0) ? (
+            {thread.timePosted === thread.timeLastEdited ? (
               <OpinionCardContentTime>
                 {dateConverter(
-                  new Date(child.timePosted).toString().slice(4, -43)
-                )} <span style={{fontStyle:"normal",color:"blue"}}>#{child.postId}</span>
+                  new Date(thread.timePosted).toString().slice(4, -43)
+                )}
               </OpinionCardContentTime>
             ) : (
               <OpinionCardContentTime>
                 {dateConverter(
-                  new Date(child.timeLastEdited).toString().slice(4, -43)
-                )}{" "} <span style={{fontStyle:"normal",color:"blue"}}>#{child.postId}</span>{" "}
+                  new Date(thread.timeLastEdited).toString().slice(4, -43)
+                )}{" "}
                 (едитирано од модератор)
               </OpinionCardContentTime>
@@ -271,5 +270,5 @@
               />
 
-              <VoteCount right={10 + "px"}>
+              <VoteCount right={50 + "px"}>
                 {child.votes.filter((v) => v.vote === "DOWNVOTE").length}
               </VoteCount>
@@ -325,5 +324,5 @@
       </CurrentPageNav>
       <div style={{ height: "20px", marginBottom: "50px", marginTop: "50px" }}>
-        <h3 style={{ float: "left" }}>{thread.title} <span style={{opacity:"50%", fontSize:"16px"}}>#{thread.postId}</span></h3>
+        <h3 style={{ float: "left" }}>{thread.title}</h3>
         {auth && (
           <AddOpinionButton onClick={handleAddOpinionButtonClick}>
@@ -370,9 +369,9 @@
             {thread.content}
           </p>
-          {new Date(thread.timePosted).setMilliseconds(0) === new Date(thread.timeLastEdited).setMilliseconds(0) ? (
+          {thread.timePosted === thread.timeLastEdited ? (
             <OpinionCardContentTime>
               {dateConverter(
                 new Date(thread.timePosted).toString().slice(4, -43)
-              )} <span style={{fontStyle:"normal",color:"blue"}}>#{thread.postId}</span>
+              )}
             </OpinionCardContentTime>
           ) : (
@@ -380,5 +379,5 @@
               {dateConverter(
                 new Date(thread.timeLastEdited).toString().slice(4, -43)
-              )}{" "} <span style={{fontStyle:"normal",color:"blue"}}>#{thread.postId}</span>{" "}
+              )}{" "}
               (едитирано од модератор)
             </OpinionCardContentTime>
@@ -445,9 +444,9 @@
                 {directChild.content}
               </p>
-              {new Date(directChild.timePosted).setMilliseconds(0) === new Date(directChild.timeLastEdited).setMilliseconds(0) ? (
+              {directChild.timePosted === directChild.timeLastEdited ? (
                 <OpinionCardContentTime>
                   {dateConverter(
                     new Date(directChild.timePosted).toString().slice(4, -43)
-                  )} <span style={{fontStyle:"normal",color:"blue"}}>#{directChild.postId}</span>
+                  )}
                 </OpinionCardContentTime>
               ) : (
@@ -457,5 +456,5 @@
                       .toString()
                       .slice(4, -43)
-                  )}{" "} <span style={{fontStyle:"normal",color:"blue"}}>#{directChild.postId}</span>{" "}
+                  )}{" "}
                   (едитирано од модератор)
                 </OpinionCardContentTime>
@@ -560,5 +559,5 @@
   ) : !fetchError && !loadedThread ? (
     <div>
-      <LoadingSpinner style={{ marginTop: "140px" }}/>
+      <p style={{ marginTop: "140px" }}>се вчитува...</p>
       <Outlet />
     </div>
Index: reactapp/src/Pages/University.js
===================================================================
--- reactapp/src/Pages/University.js	(revision 4abf55a556ca76069528c751a92cddaa146d108d)
+++ reactapp/src/Pages/University.js	(revision e49d1b6f77f15934314680ef2f5f20fec4987e7b)
@@ -14,5 +14,4 @@
 } from "../Components/Styled/EntityList.style";
 import { CurrentPageNav } from "../Components/Styled/Main.style";
-import LoadingSpinner from "../Components/Styled/LoadingSpinner.style";
 
 const University = () => {
@@ -23,5 +22,5 @@
 
   useEffect(() => {
-    const url = `http://192.168.0.29:8080/public/faculties?universityId=${params.universityId}`;
+    const url = `http://192.168.0.19:8080/public/faculties?universityId=${params.universityId}`;
 
     const fetchData = async () => {
@@ -106,5 +105,5 @@
   ) : !fetchError && !loaded ? (
     <div>
-      <LoadingSpinner style={{ marginTop: "140px" }}/>
+      <p style={{ marginTop: "140px" }}>се вчитува...</p>
       <Outlet />
     </div>
